CREATE TABLE CRST_FA_RETIREMENTS
(
  RETIREMENT_ID                  NUMBER(15),
  BOOK_TYPE_CODE                 VARCHAR2(15 BYTE),
  ASSET_ID                       NUMBER(15),
  TRANSACTION_HEADER_ID_IN       NUMBER(15),
  DATE_RETIRED                   DATE,
  DATE_EFFECTIVE                 DATE,
  COST_RETIRED                   NUMBER,
  STATUS                         VARCHAR2(15 BYTE),
  LAST_UPDATE_DATE               DATE,
  LAST_UPDATED_BY                NUMBER(15),
  RETIREMENT_PRORATE_CONVENTION  VARCHAR2(10 BYTE),
  TRANSACTION_HEADER_ID_OUT      NUMBER(15),
  UNITS                          NUMBER,
  COST_OF_REMOVAL                NUMBER,
  NBV_RETIRED                    NUMBER,
  GAIN_LOSS_AMOUNT               NUMBER,
  PROCEEDS_OF_SALE               NUMBER,
  GAIN_LOSS_TYPE_CODE            VARCHAR2(15 BYTE),
  RETIREMENT_TYPE_CODE           VARCHAR2(15 BYTE),
  ITC_RECAPTURED                 NUMBER,
  ITC_RECAPTURE_ID               NUMBER(15),
  REFERENCE_NUM                  VARCHAR2(15 BYTE),
  SOLD_TO                        VARCHAR2(30 BYTE),
  TRADE_IN_ASSET_ID              NUMBER(15),
  STL_METHOD_CODE                VARCHAR2(12 BYTE),
  STL_LIFE_IN_MONTHS             NUMBER(4),
  STL_DEPRN_AMOUNT               NUMBER,
  CREATED_BY                     NUMBER(15),
  CREATION_DATE                  DATE,
  LAST_UPDATE_LOGIN              NUMBER(15),
  ATTRIBUTE1                     VARCHAR2(150 BYTE),
  ATTRIBUTE2                     VARCHAR2(150 BYTE),
  ATTRIBUTE3                     VARCHAR2(150 BYTE),
  ATTRIBUTE4                     VARCHAR2(150 BYTE),
  ATTRIBUTE5                     VARCHAR2(150 BYTE),
  ATTRIBUTE6                     VARCHAR2(150 BYTE),
  ATTRIBUTE7                     VARCHAR2(150 BYTE),
  ATTRIBUTE8                     VARCHAR2(150 BYTE),
  ATTRIBUTE9                     VARCHAR2(150 BYTE),
  ATTRIBUTE10                    VARCHAR2(150 BYTE),
  ATTRIBUTE11                    VARCHAR2(150 BYTE),
  ATTRIBUTE12                    VARCHAR2(150 BYTE),
  ATTRIBUTE13                    VARCHAR2(150 BYTE),
  ATTRIBUTE14                    VARCHAR2(150 BYTE),
  ATTRIBUTE15                    VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY_CODE        VARCHAR2(30 BYTE),
  REVAL_RESERVE_RETIRED          NUMBER,
  UNREVALUED_COST_RETIRED        NUMBER,
  BONUS_RESERVE_RETIRED          NUMBER,  
  DUMMY                          CHAR(1),
  LAST_UPDATED_NAME              VARCHAR2(100),
  CREATED_NAME               	 VARCHAR2(100)
);
